"""
Provide addtional TDVM SDK inherited from general CVM SDK.
"""

from cctrusted_base.tdx.report import TdReport
from cctrusted_vm.sdk import CCTrustedVmSdk
from cctrusted_vm.cvm import TdxVM

class CCTrustedTdvmSdk(CCTrustedVmSdk):

    """Inherited SDK class for TDVM only."""

    def get_tdreport(self) -> TdReport:
        """Get TDX Report

        TDREPORT data structure generated by TDG.MR.REPORT instruction in Intel TDX.

        Returns:
            TdReport object
        """
        assert isinstance(self._cvm, TdxVM)
        return self._cvm.tdreport
